apiVersion: v1
kind: Secret
metadata:
  name: devops-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.devops.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.devops.configs.appName | b64enc | quote }}
  JWT_SECRET_KEY: {{ .Values.devops.configs.jwtSecretKey | b64enc | quote }}
  JWT_ALGORITHM: {{ .Values.devops.configs.jwtAlgorithm | b64enc | quote }}
  ACCESS_TOKEN_EXPIRE_MINUTES: {{ .Values.devops.configs.accessTokenExpireMinutes | toString | b64enc | quote }}
  REFRESH_TOKEN_EXPIRE_DAYS: {{ .Values.devops.configs.refreshTokenExpireDays | toString | b64enc | quote }}
  MONGODB_NAME: {{ .Values.devops.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.devops.configs.mongodbPort | toString | b64enc | quote }}
  MONGODB_URI: {{ .Values.devops.configs.mongodbUri | b64enc | quote }}
  METRICS_ENABLED: {{ .Values.devops.configs.metricsEnabled | toString | b64enc | quote }}
  PROBES_ENABLED: {{ .Values.devops.configs.probesEnabled | toString | b64enc | quote }}
  BASE_GITEA_URL: {{ .Values.devops.configs.baseGiteaUrl | b64enc | quote }}
  BASE_RECONCILE_URL: {{ .Values.devops.configs.baseReconcileUrl | b64enc | quote }}
  BASE_LOKI_URL: {{ .Values.devops.configs.baseLokiUrl | b64enc | quote }}
  LOG_BASE_PATH: {{ .Values.devops.configs.logBasePath | b64enc | quote }}
  LOG_RETENTION: {{ .Values.devops.configs.logRetention | b64enc | quote }}
  LOG_ROTATION: {{ .Values.devops.configs.logRotation | b64enc | quote }}
  LOG_BACKUP_FILES: {{ .Values.devops.configs.logBackupFiles | toString | b64enc | quote }}
  LOG_ROTATION_BYTES: {{ .Values.devops.configs.logRotationBytes | toString | b64enc | quote }}
  MOCK_MODE: {{ .Values.devops.configs.mockMode | toString | b64enc | quote }}
  MOCK_RESPONSE_DELAY: {{ .Values.devops.configs.mockResponseDelay | toString | b64enc | quote }}